update from 2.2.39 to 2.2.40 problem

Discussion in 'Installation/Configuration' started by qmax, Sep 21, 2011.

  1. qmax

    qmax New Member

    hi guys , i had this issue when i executed ./setup

    make[2]: Entering directory `/root/install_ispconfig/compile_aps/apache_1.3.41/src/support'
    gcc -c -I../os/unix -I../include -DLINUX=22 -DHAVE_SET_DUMPABLE -DMOD_SSL=208131 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT -I../lib/expat-lite `../apaci` htpasswd.c
    htpasswd.c:101: error: conflicting types for 'getline'
    /usr/include/stdio.h:651: note: previous declaration of 'getline' was here
    make[2]: *** [htpasswd.o] Error 1
    make[2]: Leaving directory `/root/install_ispconfig/compile_aps/apache_1.3.41/src/support'
    make[1]: *** [build-support] Error 1
    make[1]: Leaving directory `/root/install_ispconfig/compile_aps/apache_1.3.41'
    make: *** [build] Error 2
    ERROR: Could not make Apache


    Sorry i dont remember change this

    Before you install ISPConfig, there's one important thing you must do. Open /usr/include/stdio.h and replace getline with parseline in line 651:
    Last edited: Sep 21, 2011

Share This Page